<script>
	export default {
		onLaunch: function() {
			console.warn('当前组件仅支持 uni_modules 目录结构 ，请升级 HBuilderX 到 3.1.0 版本以上！')
			console.log('App Launch')
			// 验证登录是否过期
			// wx.checkSession({
			//   success: function (res) {
			// 	console.log(res, '登录未过期');
				
			// 	// wx.showToast({
			// 	//   title: '登录未过期'
			// 	// });
			//   },
			//   fail: function (res) {
			// 	console.log(res, '登录已过期');
			// 	uni.showModal({
			// 	  title: '提示',
			// 	  content: '登录已过期，请重新登录',
			// 	  success(res) {
			// 		if (res.confirm) {
			// 		  uni.navigateTo({
			// 		  	url: 'pages/login/login'
			// 		  });
			// 		} else if (res.cancel) {
			// 		  uni.navigateTo({
			// 		  	url: 'pages/login/login'
			// 		  });
			// 		}
			// 	  }
			// 	});
			//   }
			// });
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import '@/uni_modules/uni-scss/index.scss';
	/* #ifndef APP-NVUE */
	@import '@/static/customicons.css';
	// 设置整个项目的背景色
	page {
		background-color: #f5f5f5;
	}

	/* #endif */
	.example-info {
		font-size: 14px;
		color: #333;
		padding: 10px;
	}
</style>
